### Method

# Foundry LlmConversation send_message

#### Declaration [src]

    DexFuture*
    foundry_llm_conversation_send_message (
      FoundryLlmConversation* self,
      const char* role,
      const char* message
    )

#### Description [src]

The role should generally be something like “system”, “user”, “assistant”, or “tool”.

#### Parameters

`role`

  Type: `const char*`

  The role of the message sender.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`message`

  Type: `const char*`

  The message to be sent.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.